import 'package:flyinsono/architecture/define.dart';
import 'package:flyinsono/managers/interfaces/webview_controller.dart';
import 'package:get/get.dart';

import 'index.dart';

class FeedbackController extends FControllerBase {
  final state = FeedbackState();

  /// dispose 释放内存
  @override
  void dispose() {
    super.dispose();
  }

  /// 在 [onDelete] 方法之前调用。
  @override
  void onClose() {
    Get.find<IWebviewControllerManager>().disposeWebviewController();
    super.onClose();
  }

  /// 在 widget 内存中分配后立即调用。
  @override
  void onInit() {
    super.onInit();
  }

  /// 在 onInit() 之后调用 1 帧。这是进入的理想场所
  @override
  void onReady() {
    super.onReady();
  }
}
